##### basic_stream_socket::receive (3 of 3 overloads)

Receive some data on a connected socket.

    template<
        typename MutableBufferSequence>
    std::size_t receive(
        const MutableBufferSequence & buffers,
        socket_base::message_flags flags,
        asio::error_code & ec);

This function is used to receive data on the stream socket. The function call will block until one or more bytes of data has been received successfully, or until an error occurs.

###### Parameters

buffers

  One or more buffers into which the data will be received.

flags

  Flags specifying how the receive call is to be made.

ec

  Set to indicate what error occurred, if any.

###### Return Value

The number of bytes received. Returns 0 if an error occurred.

###### Remarks

The receive operation may not receive all of the requested number of bytes. Consider using the `read` function if you need to ensure that the requested amount of data is read before the blocking operation completes.